Bug 165345 - CVE-2005-4811 Hugepage crash on failing mmap()
CVE-2005-4811 Hugepage crash on failing mmap()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
impact=important,reported=20050805,so...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 07:56 EDT by Mark J. Cox (Product Security)
Modified: 2012-05-19 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-08-08 07:56:37 EDT
A patch sent to LKML points out that depending on hugepage configuration an
uprivileged user could cause a crash.  However this is because various
functionality in the arch/*/mm/hugetlbpage.c was merged.  So for upstream
kernels it only affected >2.6.12 (and therefore not released versions).

http://marc.theaimsgroup.com/?l=linux-kernel&m=112323336017157
http://linux.bkbits.net:8080/linux-2.6/cset%4042f3bc80L_XvX5Aw3DqXdSmmzosXWA

However this looks from inspection only that this may affect the
linux-2.6.9-x86_64-hugetlb.patch added in U1, RHSA-2005:520 (bugzilla #143472).

Therefore x86_64 may be vulnerable to this problem.

A patch will need to be crafted from the bk reference above, but it looks fairly
straightforward.  I've not seen a reproducer.
Comment 1 Larry Woodman 2005-08-16 14:48:34 EDT
I dont think this pertains to RHEL4, the code being patched isnt even in the
2.6.9 kernel.

Larry Woodman
Comment 2 Mark J. Cox (Product Security) 2005-08-17 09:51:16 EDT
This looks from inspection only that it affect the
linux-2.6.9-x86_64-hugetlb.patch added in U1, RHSA-2005:520 (bugzilla #143472).

Comment 5 Larry Woodman 2006-08-31 14:07:49 EDT
I just sent the proposed RHEL4-U5 patch to rhkernel_list.
Comment 6 Jason Baron 2006-09-05 11:55:36 EDT
committed in stream U5 build 42.6. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 Jason Baron 2006-09-26 10:31:56 EDT
committed in stream E5 build 42.0.3
Comment 8 RHEL Product and Program Management 2006-09-27 18:42:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Jay Turner 2006-10-03 09:40:30 EDT
QE ack for 4.5.
Comment 12 Red Hat Bugzilla 2006-10-05 15:17:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html

Note You need to log in before you can comment on or make changes to this bug.